const settings = window.wc.wcSettings.getSetting('cryptopayment_data', {});
const label = window.wp.htmlEntities.decodeEntities(settings.title) || window.wp.i18n.__('Cryptopayment', 'cryptopayment-gateway');
const Content = () => {
    return window.wp.htmlEntities.decodeEntities(settings.description || '');
};
window.wc.wcBlocksRegistry.registerPaymentMethod({
    name: 'cryptopayment',
    label: label,
    content: Object(window.wp.element.createElement)(Content, null),
    edit: Object(window.wp.element.createElement)(Content, null),
    canMakePayment: () => true,
    ariaLabel: label,
    supports: {
        features: settings.supports
    },
});